package com.iamberry.wechat.face.porduct;

import java.util.List;

import com.iamberry.wechat.core.entity.product.Product;
import com.iamberry.wechat.core.entity.product.ProductChildType;

/**
 * 产品信息处理service
 * 2016年4月21日
 * @author Administrator
 *
 */
public interface ProductService {
	List<Product> getProductByFuzzy(String productName);
	
	/**
	 * 获取所有产品信息并分页
	 * 2016年4月21日
	 * @author 穆再兴
	 * @param page
	 * @return
	 */
	public List<Product> selectAllProductInfo(Product product);
	
	/**
	 * 根据productId 查询单个产品
	 * 2016年4月22日
	 * @author 穆再兴
	 * @param productId
	 * @return
	 */
	public Product selectProductByProductId(Integer productId);
	
	/**
	 * 查所有产品个数 后台分页用
	 * 2016年4月23日
	 * @author 穆再兴
	 * @return
	 */
	public Integer selectProductCount(Product product);
	
	/**
	 * 添加一个产品
	 * 2016年4月21日
	 * @author 穆再兴
	 * @return
	 */
	public Integer addProduct(Product product);
	
	/**
	 * 根据 productId 修改一个产品的信息
	 * 2016年4月22日
	 * @author 穆再兴
	 * @param product
	 * @return
	 */
	public Integer updateProductByProductId(Product product);
	
	/**
	 * 根据 productId 修改一个产品的状态
	 * 2016年4月22日
	 * @author 穆再兴
	 * @param product
	 * @return
	 */
	public Integer updateProductStatusByProductId(Product product);
}
